- Qt 6.5
- Qt SQL
- C++ Classes
- QSqlQueryModel
- Qt 6.5.0 Reference Documentation

# Obsolete Members for QSqlQueryModel

The following members of class QSqlQueryModel are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated (6.2))` void | setQuery(const QSqlQuery &query)

## Member Function Documentation

### void QSqlQueryModel::setQuery(const QSqlQuery &query)

This function is deprecated since 6.2. We strongly advise against using it in new code.

Use the `setQuery(QSqlQuery &&query)` overload instead.

This is an overloaded function.